Index: /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp	(revision 981)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp	(revision 981)
@@ -0,0 +1,70 @@
+/* ************************************************************************** *
+ *               Interface auto generated - do not modify                     *
+ * ************************************************************************** */
+
+#include <boost/multi_array.hpp>
+#include <boost/shared_ptr.hpp>
+#include "xios.hpp"
+#include "attribute_template.hpp"
+#include "object_template.hpp"
+#include "group_template.hpp"
+#include "icutil.hpp"
+#include "icdate.hpp"
+#include "timer.hpp"
+#include "node_type.hpp"
+
+extern "C"
+{
+  typedef xios::CReduceDomainToAxis* reduce_domain_to_axis_Ptr;
+
+  void cxios_set_reduce_domain_to_axis_direction(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl, const char * direction, int direction_size)
+  {
+    std::string direction_str;
+    if (!cstr2string(direction, direction_size, direction_str)) return;
+    CTimer::get("XIOS").resume();
+    reduce_domain_to_axis_hdl->direction.fromString(direction_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_reduce_domain_to_axis_direction(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl, char * direction, int direction_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(reduce_domain_to_axis_hdl->direction.getInheritedStringValue(), direction, direction_size))
+      ERROR("void cxios_get_reduce_domain_to_axis_direction(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl, char * direction, int direction_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_reduce_domain_to_axis_direction(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = reduce_domain_to_axis_hdl->direction.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_reduce_domain_to_axis_operation(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl, const char * operation, int operation_size)
+  {
+    std::string operation_str;
+    if (!cstr2string(operation, operation_size, operation_str)) return;
+    CTimer::get("XIOS").resume();
+    reduce_domain_to_axis_hdl->operation.fromString(operation_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_reduce_domain_to_axis_operation(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl, char * operation, int operation_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(reduce_domain_to_axis_hdl->operation.getInheritedStringValue(), operation, operation_size))
+      ERROR("void cxios_get_reduce_domain_to_axis_operation(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl, char * operation, int operation_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_reduce_domain_to_axis_operation(reduce_domain_to_axis_Ptr reduce_domain_to_axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = reduce_domain_to_axis_hdl->operation.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+}
Index: /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp	(revision 981)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp	(revision 981)
@@ -0,0 +1,44 @@
+/* ************************************************************************** *
+ *               Interface auto generated - do not modify                     *
+ * ************************************************************************** */
+
+#include <boost/multi_array.hpp>
+#include <boost/shared_ptr.hpp>
+#include "xios.hpp"
+#include "attribute_template.hpp"
+#include "object_template.hpp"
+#include "group_template.hpp"
+#include "icutil.hpp"
+#include "icdate.hpp"
+#include "timer.hpp"
+#include "node_type.hpp"
+
+extern "C"
+{
+  typedef xios::CReduceDomainToScalar* reduce_domain_to_scalar_Ptr;
+
+  void cxios_set_reduce_domain_to_scalar_operation(reduce_domain_to_scalar_Ptr reduce_domain_to_scalar_hdl, const char * operation, int operation_size)
+  {
+    std::string operation_str;
+    if (!cstr2string(operation, operation_size, operation_str)) return;
+    CTimer::get("XIOS").resume();
+    reduce_domain_to_scalar_hdl->operation.fromString(operation_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_reduce_domain_to_scalar_operation(reduce_domain_to_scalar_Ptr reduce_domain_to_scalar_hdl, char * operation, int operation_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(reduce_domain_to_scalar_hdl->operation.getInheritedStringValue(), operation, operation_size))
+      ERROR("void cxios_get_reduce_domain_to_scalar_operation(reduce_domain_to_scalar_Ptr reduce_domain_to_scalar_hdl, char * operation, int operation_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_reduce_domain_to_scalar_operation(reduce_domain_to_scalar_Ptr reduce_domain_to_scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = reduce_domain_to_scalar_hdl->operation.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+}
Index: /XIOS/trunk/src/interface/fortran/expand_domain_interface.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran/expand_domain_interface.f90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/expand_domain_interface.f90	(revision 981)
@@ -0,0 +1,22 @@
+MODULE EXPAND_DOMAIN_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_expand_domain_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_expand_domain_handle_create
+
+      SUBROUTINE cxios_expand_domain_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_expand_domain_valid_id
+
+   END INTERFACE
+
+END MODULE EXPAND_DOMAIN_INTERFACE
Index: /XIOS/trunk/src/interface/fortran/extract_axis_to_scalar_interface.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran/extract_axis_to_scalar_interface.f90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/extract_axis_to_scalar_interface.f90	(revision 981)
@@ -0,0 +1,22 @@
+MODULE EXTRACT_AXIS_TO_SCALAR_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_extract_axis_to_scalar_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_extract_axis_to_scalar_handle_create
+
+      SUBROUTINE cxios_extract_axis_to_scalar_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_extract_axis_to_scalar_valid_id
+
+   END INTERFACE
+
+END MODULE EXTRACT_AXIS_TO_SCALAR_INTERFACE
Index: /XIOS/trunk/src/interface/fortran/extract_domain_to_axis_interface.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran/extract_domain_to_axis_interface.f90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/extract_domain_to_axis_interface.f90	(revision 981)
@@ -0,0 +1,22 @@
+MODULE EXTRACT_DOMAIN_TO_AXIS_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_extract_domain_to_axis_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_extract_domain_to_axis_handle_create
+
+      SUBROUTINE cxios_extract_domain_to_axis_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_extract_domain_to_axis_valid_id
+
+   END INTERFACE
+
+END MODULE EXTRACT_DOMAIN_TO_AXIS_INTERFACE
Index: /XIOS/trunk/src/interface/fortran/iexpand_domain.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/iexpand_domain.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/iexpand_domain.F90	(revision 981)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IEXPAND_DOMAIN
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE EXPAND_DOMAIN_INTERFACE
+
+   TYPE txios(expand_domain)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(expand_domain)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_expand_domain_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *)         , INTENT(IN) :: idt
+      TYPE(txios(expand_domain)) , INTENT(OUT):: ret
+      CALL cxios_expand_domain_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_expand_domain_handle)
+
+   LOGICAL FUNCTION xios(is_valid_expand_domain)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_expand_domain_valid_id(val, idt, len(idt))
+      xios(is_valid_expand_domain) = val
+
+   END FUNCTION  xios(is_valid_expand_domain)
+
+END MODULE IEXPAND_DOMAIN
Index: /XIOS/trunk/src/interface/fortran/iextract_axis_to_scalar.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/iextract_axis_to_scalar.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/iextract_axis_to_scalar.F90	(revision 981)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IEXTRACT_AXIS_TO_SCALAR
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE EXTRACT_AXIS_TO_SCALAR_INTERFACE
+
+   TYPE txios(extract_axis_to_scalar)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(extract_axis_to_scalar)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_extract_axis_to_scalar_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(OUT):: ret
+      CALL cxios_extract_axis_to_scalar_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_extract_axis_to_scalar_handle)
+
+   LOGICAL FUNCTION xios(is_valid_extract_axis_to_scalar)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_extract_axis_to_scalar_valid_id(val, idt, len(idt))
+      xios(is_valid_extract_axis_to_scalar) = val
+
+   END FUNCTION  xios(is_valid_extract_axis_to_scalar)
+
+END MODULE IEXTRACT_AXIS_TO_SCALAR
Index: /XIOS/trunk/src/interface/fortran/iextract_domain_to_axis.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/iextract_domain_to_axis.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/iextract_domain_to_axis.F90	(revision 981)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IEXTRACT_DOMAIN_TO_AXIS
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE EXTRACT_DOMAIN_TO_AXIS_INTERFACE
+
+   TYPE txios(extract_domain_to_axis)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(extract_domain_to_axis)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_extract_domain_to_axis_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(extract_domain_to_axis)) , INTENT(OUT):: ret
+      CALL cxios_extract_domain_to_axis_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_extract_domain_to_axis_handle)
+
+   LOGICAL FUNCTION xios(is_valid_extract_domain_to_axis)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_extract_domain_to_axis_valid_id(val, idt, len(idt))
+      xios(is_valid_extract_domain_to_axis) = val
+
+   END FUNCTION  xios(is_valid_extract_domain_to_axis)
+
+END MODULE IEXTRACT_DOMAIN_TO_AXIS
Index: /XIOS/trunk/src/interface/fortran/ireduce_domain_to_axis.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/ireduce_domain_to_axis.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/ireduce_domain_to_axis.F90	(revision 981)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IREDUCE_DOMAIN_TO_AXIS
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE REDUCE_DOMAIN_TO_AXIS_INTERFACE
+
+   TYPE txios(reduce_domain_to_axis)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(reduce_domain_to_axis)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_reduce_domain_to_axis_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(OUT):: ret
+      CALL cxios_reduce_domain_to_axis_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_reduce_domain_to_axis_handle)
+
+   LOGICAL FUNCTION xios(is_valid_reduce_domain_to_axis)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_reduce_domain_to_axis_valid_id(val, idt, len(idt))
+      xios(is_valid_reduce_domain_to_axis) = val
+
+   END FUNCTION  xios(is_valid_reduce_domain_to_axis)
+
+END MODULE IREDUCE_DOMAIN_TO_AXIS
Index: /XIOS/trunk/src/interface/fortran/ireduce_domain_to_scalar.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/ireduce_domain_to_scalar.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran/ireduce_domain_to_scalar.F90	(revision 981)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IREDUCE_DOMAIN_TO_SCALAR
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE REDUCE_DOMAIN_TO_SCALAR_INTERFACE
+
+   TYPE txios(reduce_domain_to_scalar)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(reduce_domain_to_scalar)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_reduce_domain_to_scalar_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(OUT):: ret
+      CALL cxios_reduce_domain_to_scalar_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_reduce_domain_to_scalar_handle)
+
+   LOGICAL FUNCTION xios(is_valid_reduce_domain_to_scalar)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_reduce_domain_to_scalar_valid_id(val, idt, len(idt))
+      xios(is_valid_reduce_domain_to_scalar) = val
+
+   END FUNCTION  xios(is_valid_reduce_domain_to_scalar)
+
+END MODULE IREDUCE_DOMAIN_TO_SCALAR
Index: /XIOS/trunk/src/interface/fortran/ixios.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/ixios.F90	(revision 980)
+++ /XIOS/trunk/src/interface/fortran/ixios.F90	(revision 981)
@@ -74,16 +74,11 @@
 USE iscalargroup_attr, ONLY : xios(set_scalargroup_attr), xios(get_scalargroup_attr), xios(is_defined_scalargroup_attr)
 
-USE izoom_axis, ONLY : txios(zoom_axis), xios(is_valid_zoom_axis)
-
-USE izoom_axis_attr, ONLY : xios(set_zoom_axis_attr), xios(get_zoom_axis_attr), xios(is_defined_zoom_axis_attr)
-
+!-------------------------------------------------------------------------------
+!!! Transformation INTERFACES
+!-------------------------------------------------------------------------------
+!!! DOMAIN TRANSFORMATIONS
 USE izoom_domain, ONLY : txios(zoom_domain), xios(is_valid_zoom_domain)
 
 USE izoom_domain_attr, ONLY : xios(set_zoom_domain_attr), xios(get_zoom_domain_attr), xios(is_defined_zoom_domain_attr)
-
-USE iinterpolate_axis, ONLY : txios(interpolate_axis), xios(is_valid_interpolate_axis)
-
-USE iinterpolate_axis_attr, ONLY : xios(set_interpolate_axis_attr), xios(get_interpolate_axis_attr), &
-                                   xios(is_defined_interpolate_axis_attr)
 
 USE iinterpolate_domain, ONLY : txios(interpolate_domain), xios(is_valid_interpolate_domain)
@@ -92,8 +87,4 @@
                                      xios(is_defined_interpolate_domain_attr)
 
-USE iinverse_axis, ONLY : txios(inverse_axis), xios(is_valid_inverse_axis)
-
-USE iinverse_axis_attr, ONLY : xios(set_inverse_axis_attr), xios(get_inverse_axis_attr), xios(is_defined_inverse_axis_attr)
-
 USE igenerate_rectilinear_domain, ONLY : txios(generate_rectilinear_domain), xios(is_valid_generate_rectilinear_domain)
 
@@ -101,8 +92,4 @@
                                               xios(get_generate_rectilinear_domain_attr), &
                                               xios(is_defined_generate_rectilinear_domain_attr)
-USE ireduce_axis_to_scalar, ONLY : txios(reduce_axis_to_scalar), xios(is_valid_reduce_axis_to_scalar)
-
-USE ireduce_axis_to_scalar_attr, ONLY : xios(set_reduce_axis_to_scalar_attr), xios(get_reduce_axis_to_scalar_attr), &
-                                        xios(is_defined_reduce_axis_to_scalar_attr)
 
 USE icompute_connectivity_domain, ONLY : txios(compute_connectivity_domain), xios(is_valid_compute_connectivity_domain)
@@ -112,4 +99,54 @@
                                               xios(is_defined_compute_connectivity_domain_attr)
 
+USE iexpand_domain, ONLY : txios(expand_domain), xios(is_valid_expand_domain)
+
+USE iexpand_domain_attr, ONLY : xios(set_expand_domain_attr), &
+                                xios(get_expand_domain_attr), &
+                                xios(is_defined_expand_domain_attr)
+
+!!! AXIS TRANSFORMATIONS
+USE izoom_axis, ONLY : txios(zoom_axis), xios(is_valid_zoom_axis)
+
+USE izoom_axis_attr, ONLY : xios(set_zoom_axis_attr), xios(get_zoom_axis_attr), xios(is_defined_zoom_axis_attr)
+
+
+USE iinterpolate_axis, ONLY : txios(interpolate_axis), xios(is_valid_interpolate_axis)
+
+USE iinterpolate_axis_attr, ONLY : xios(set_interpolate_axis_attr), xios(get_interpolate_axis_attr), &
+                                   xios(is_defined_interpolate_axis_attr)
+
+USE iinverse_axis, ONLY : txios(inverse_axis), xios(is_valid_inverse_axis)
+
+USE iinverse_axis_attr, ONLY : xios(set_inverse_axis_attr), xios(get_inverse_axis_attr), xios(is_defined_inverse_axis_attr)
+
+USE ireduce_domain_to_axis, ONLY : txios(reduce_domain_to_axis), xios(is_valid_reduce_domain_to_axis)
+
+USE ireduce_domain_to_axis_attr, ONLY : xios(set_reduce_domain_to_axis_attr), &
+                                        xios(get_reduce_domain_to_axis_attr), &
+                                        xios(is_defined_reduce_domain_to_axis_attr)
+
+USE iextract_domain_to_axis, ONLY : txios(extract_domain_to_axis), xios(is_valid_extract_domain_to_axis)
+
+USE iextract_domain_to_axis_attr, ONLY : xios(set_extract_domain_to_axis_attr), &
+                                         xios(get_extract_domain_to_axis_attr), &
+                                         xios(is_defined_extract_domain_to_axis_attr)
+
+!!! SCALAR TRANSFORMATIONS
+USE ireduce_domain_to_scalar, ONLY : txios(reduce_domain_to_scalar), xios(is_valid_reduce_domain_to_scalar)
+
+USE ireduce_domain_to_scalar_attr, ONLY : xios(set_reduce_domain_to_scalar_attr), xios(get_reduce_domain_to_scalar_attr), &
+                                          xios(is_defined_reduce_domain_to_scalar_attr)
+
+USE ireduce_axis_to_scalar, ONLY : txios(reduce_axis_to_scalar), xios(is_valid_reduce_axis_to_scalar)
+
+USE ireduce_axis_to_scalar_attr, ONLY : xios(set_reduce_axis_to_scalar_attr), xios(get_reduce_axis_to_scalar_attr), &
+                                        xios(is_defined_reduce_axis_to_scalar_attr)
+
+USE iextract_axis_to_scalar, ONLY : txios(extract_axis_to_scalar), xios(is_valid_extract_axis_to_scalar)
+
+USE iextract_axis_to_scalar_attr, ONLY : xios(set_extract_axis_to_scalar_attr), &
+                                         xios(get_extract_axis_to_scalar_attr), &
+                                         xios(is_defined_extract_axis_to_scalar_attr)
+
 USE XIOS_INTERFACES, ONLY : xios(set_attr), xios(get_attr), xios(is_defined_attr), xios(get_handle), xios(add_child), &
                             xios(send_field), xios(recv_field), xios(field_is_active), xios(getVar), xios(setVar), &
